Bug 970741 - need standard place to put error message on report
need standard place to put error message on report
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: z_other (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.2.0
Assigned To: Jay Dobies
Preethi Thomas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 14:26 EDT by Michael Hrivnak
Modified: 2013-09-10 11:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 11:44:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Hrivnak 2013-06-04 14:26:37 EDT
We need an error message field on the download report. The current "error_report" field is an arbitrary dictionary of details, but that isn't helpful for displaying an error message to users. As discussed with jconnor via IRC, it would be great to have a string field on the DownloadReport where downloaders can stick an error message. Something like "error_msg" would be just fine.

Once this is done, the new yum importer needs to be modified to look for that message.
Comment 1 Jay Dobies 2013-06-05 09:57:47 EDT
https://github.com/pulp/nectar/pull/4
Comment 2 Jeff Ortel 2013-06-06 12:20:10 EDT
build: 2.2.0-0.2.beta.

Some of these were likely included in an earlier build but found them this time with a better BZ query.
Comment 3 Preethi Thomas 2013-06-21 11:06:50 EDT
verified
[root@ibm-x3550m3-13 ~]# rpm -q pulp-server
pulp-server-2.2.0-0.5.beta.fc18.noarch
[root@ibm-x3550m3-13 ~]# 


[root@ibm-x3550m3-13 ~]# pulp-admin rpm repo update --repo-id fake-url  --feed http://test
Repository [fake-url] successfully updated

[root@ibm-x3550m3-13 ~]# pulp-admin rpm repo sync run --repo-id fake-url+----------------------------------------------------------------------+
                  Synchronizing Repository [fake-url]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[\]
... failed

[Errno 1] _ssl.c:504: error:14090086:SSL
routines:SSL3_GET_SERVER_CERTIFICATE:certificate verify failed

[root@ibm-x3550m3-13 ~]# pulp-admin rpm repo update --repo-id fake-url  --feed http://repos.fedorapeople.org/nourl
Repository [fake-url] successfully updated

[root@ibm-x3550m3-13 ~]# pulp-admin rpm repo sync run --repo-id fake-url+----------------------------------------------------------------------+
                  Synchronizing Repository [fake-url]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[\]
... failed

Not Found


[root@ibm-x3550m3-13 ~]# pulp-admin rpm repo create --repo-id fake-url --feed nourl
Successfully created repository [fake-url]

[root@ibm-x3550m3-13 ~]# pulp-admin rpm repo sync run --repo-id fake-url
+----------------------------------------------------------------------+
                  Synchronizing Repository [fake-url]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[-]
... failed

Unsupported scheme:
Comment 4 Preethi Thomas 2013-09-10 11:44:47 EDT
2.2 released
http://repos.fedorapeople.org/repos/pulp/pulp/stable/2.2/

Note You need to log in before you can comment on or make changes to this bug.